Bug 1457763 - nodejs-6.10.3-1 package missed http-parser dependency
Summary: nodejs-6.10.3-1 package missed http-parser dependency
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nodejs
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: NodeJS Packaging SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1473088 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-01 09:17 UTC by Eugene Paniot
Modified: 2018-02-16 05:14 UTC (History)
13 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-07-31 16:20:27 UTC


Attachments (Terms of Use)

Description Eugene Paniot 2017-06-01 09:17:15 UTC
Description of problem:

nodejs 1:6.10.3-1.el7 package missed http-parser dependency. As a result /usr/bin/node binary throw error "error while loading shared libraries:"


Version-Release number of selected component (if applicable):

nodejs-6.10.3-1.el7.x86_64

How reproducible:

Steps to Reproduce:
1. Remove if installed http-parser package (yum remove http-parser)
2. Install nodejs 1:6.10.3-1.el7 package (yum install nodejs-6.10.3-1.el7)
3. Try execute /usr/bin/node binary

Actual results:

# node -h
node: error while loading shared libraries: libhttp_parser.so.2: cannot open shared object file: No such file or directory

# ldd /usr/bin/node
	linux-vdso.so.1 =>  (0x00007ffd9c7fd000)
	libz.so.1 => /lib64/libz.so.1 (0x00002ab05224c000)
	libhttp_parser.so.2 => not found
	libuv.so.1 => /lib64/libuv.so.1 (0x00002ab052462000)
	libcrypto.so.10 => /lib64/libcrypto.so.10 (0x00002ab052689000)
	libssl.so.10 => /lib64/libssl.so.10 (0x00002ab052a73000)
	libicui18n.so.50 => /lib64/libicui18n.so.50 (0x00002ab052ce1000)
	libicuuc.so.50 => /lib64/libicuuc.so.50 (0x00002ab0530e0000)
	libicudata.so.50 => /lib64/libicudata.so.50 (0x00002ab053459000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00002ab054a2d000)
	librt.so.1 => /lib64/librt.so.1 (0x00002ab054c31000)
	libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00002ab054e39000)
	libm.so.6 => /lib64/libm.so.6 (0x00002ab055142000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002ab055444000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00002ab05565a000)
	libc.so.6 => /lib64/libc.so.6 (0x00002ab055876000)
	libnsl.so.1 => /lib64/libnsl.so.1 (0x00002ab055c37000)
	libgssapi_krb5.so.2 => /lib64/libgssapi_krb5.so.2 (0x00002ab055e50000)
	libkrb5.so.3 => /lib64/libkrb5.so.3 (0x00002ab05609e000)
	libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00002ab056385000)
	libk5crypto.so.3 => /lib64/libk5crypto.so.3 (0x00002ab056589000)
	/lib64/ld-linux-x86-64.so.2 (0x00002ab05202a000)
	libkrb5support.so.0 => /lib64/libkrb5support.so.0 (0x00002ab0567bb000)
	libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00002ab0569ca000)
	libresolv.so.2 => /lib64/libresolv.so.2 (0x00002ab056bce000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x00002ab056de8000)
	libpcre.so.1 => /lib64/libpcre.so.1 (0x00002ab05700f000)


Expected results:

nodejs rpm package should install http-parser package during solving dependecy

Additional info:

Comment 1 Zuzana Svetlikova 2017-06-01 09:43:32 UTC
Works for me.

Comment 2 Eugene Paniot 2017-06-01 09:47:48 UTC
(In reply to Zuzana Svetlikova from comment #1)
> Works for me.

Just installed Centos 7 haven't got installed http-parser package.

Comment 3 Stephen Gallagher 2017-06-01 12:07:44 UTC
<mock-chroot> sh-4.2# rpm -q nodejs --requires
/bin/sh
ca-certificates
libc.so.6()(64bit)
libc.so.6(GLIBC_2.14)(64bit)
libc.so.6(GLIBC_2.15)(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libcrypto.so.10()(64bit)
libcrypto.so.10(OPENSSL_1.0.1_EC)(64bit)
libcrypto.so.10(libcrypto.so.10)(64bit)
libdl.so.2()(64bit)
libdl.so.2(GLIBC_2.2.5)(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libgcc_s.so.1(GCC_3.4)(64bit)
libhttp_parser.so.2()(64bit)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^
libicudata.so.50()(64bit)
libicui18n.so.50()(64bit)
libicuuc.so.50()(64bit)
libm.so.6()(64bit)
libm.so.6(GLIBC_2.2.5)(64bit)
libpthread.so.0()(64bit)
libpthread.so.0(GLIBC_2.2.5)(64bit)
libpthread.so.0(GLIBC_2.3.2)(64bit)
libpthread.so.0(GLIBC_2.3.3)(64bit)
librt.so.1()(64bit)
librt.so.1(GLIBC_2.2.5)(64bit)
libssl.so.10()(64bit)
libssl.so.10(libssl.so.10)(64bit)
libstdc++.so.6()(64bit)
libstdc++.so.6(CXXABI_1.3)(64bit)
libstdc++.so.6(GLIBCXX_3.4)(64bit)
libstdc++.so.6(GLIBCXX_3.4.11)(64bit)
libstdc++.so.6(GLIBCXX_3.4.15)(64bit)
libstdc++.so.6(GLIBCXX_3.4.18)(64bit)
libstdc++.so.6(GLIBCXX_3.4.9)(64bit)
libuv >= 1:1.9.1
libuv.so.1()(64bit)
libz.so.1()(64bit)
npm = 1:3.10.10-1.6.10.3.1.el7
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
rpmlib(PayloadIsXz) <= 5.2-1


The requirement is specified by the package and it installed properly for me when I did it in a mock chroot for epel-7-x86_64.

Can you please include the output of `yum install nodejs --verbose` in the bug?

Comment 4 Eugene Paniot 2017-06-01 12:15:36 UTC
(In reply to Stephen Gallagher from comment #3)
> <mock-chroot> sh-4.2# rpm -q nodejs --requires
> /bin/sh
> ca-certificates
> libc.so.6()(64bit)
> libc.so.6(GLIBC_2.14)(64bit)
> libc.so.6(GLIBC_2.15)(64bit)
> libc.so.6(GLIBC_2.2.5)(64bit)
> libc.so.6(GLIBC_2.3)(64bit)
> libc.so.6(GLIBC_2.3.4)(64bit)
> libc.so.6(GLIBC_2.4)(64bit)
> libcrypto.so.10()(64bit)
> libcrypto.so.10(OPENSSL_1.0.1_EC)(64bit)
> libcrypto.so.10(libcrypto.so.10)(64bit)
> libdl.so.2()(64bit)
> libdl.so.2(GLIBC_2.2.5)(64bit)
> libgcc_s.so.1()(64bit)
> libgcc_s.so.1(GCC_3.0)(64bit)
> libgcc_s.so.1(GCC_3.4)(64bit)
> libhttp_parser.so.2()(64bit)
> ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> libicudata.so.50()(64bit)
> libicui18n.so.50()(64bit)
> libicuuc.so.50()(64bit)
> libm.so.6()(64bit)
> libm.so.6(GLIBC_2.2.5)(64bit)
> libpthread.so.0()(64bit)
> libpthread.so.0(GLIBC_2.2.5)(64bit)
> libpthread.so.0(GLIBC_2.3.2)(64bit)
> libpthread.so.0(GLIBC_2.3.3)(64bit)
> librt.so.1()(64bit)
> librt.so.1(GLIBC_2.2.5)(64bit)
> libssl.so.10()(64bit)
> libssl.so.10(libssl.so.10)(64bit)
> libstdc++.so.6()(64bit)
> libstdc++.so.6(CXXABI_1.3)(64bit)
> libstdc++.so.6(GLIBCXX_3.4)(64bit)
> libstdc++.so.6(GLIBCXX_3.4.11)(64bit)
> libstdc++.so.6(GLIBCXX_3.4.15)(64bit)
> libstdc++.so.6(GLIBCXX_3.4.18)(64bit)
> libstdc++.so.6(GLIBCXX_3.4.9)(64bit)
> libuv >= 1:1.9.1
> libuv.so.1()(64bit)
> libz.so.1()(64bit)
> npm = 1:3.10.10-1.6.10.3.1.el7
> rpmlib(CompressedFileNames) <= 3.0.4-1
> rpmlib(FileDigests) <= 4.6.0-1
> rpmlib(PayloadFilesHavePrefix) <= 4.0-1
> rtld(GNU_HASH)
> rpmlib(PayloadIsXz) <= 5.2-1
> 
> 
> The requirement is specified by the package and it installed properly for me
> when I did it in a mock chroot for epel-7-x86_64.
> 
> Can you please include the output of `yum install nodejs --verbose` in the
> bug?



# yum install nodejs --verbose
Loading "fastestmirror" plugin
Loading "priorities" plugin
Loading "upgrade-helper" plugin
Loading "verify" plugin
Loading "versionlock" plugin
Loading "yum-fast-downloader" plugin
Config time: 0.012
Yum version: 3.4.3
rpmdb time: 0.000
Setting up Package Sacks
rc-atomic                                                                                                                                                                                                              | 2.9 kB  00:00:00     
rc-docker                                                                                                                                                                                                              | 2.9 kB  00:00:00     
rc-elrepo                                                                                                                                                                                                              | 2.9 kB  00:00:00     
rc-elrepo-extras                                                                                                                                                                                                       | 2.9 kB  00:00:00     
rc-elrepo-kernel                                                                                                                                                                                                       | 2.9 kB  00:00:00     
rc-epel                                                                                                                                                                                                                | 2.9 kB  00:00:00     
rc-extras                                                                                                                                                                                                              | 3.4 kB  00:00:00     
rc-mesosphere                                                                                                                                                                                                          | 2.9 kB  00:00:00     
rc-os                                                                                                                                                                                                                  | 3.6 kB  00:00:00     
rc-puppetlabs-deps                                                                                                                                                                                                     | 2.9 kB  00:00:00     
rc-puppetlabs-products                                                                                                                                                                                                 | 2.9 kB  00:00:00     
rc-sclo                                                                                                                                                                                                                | 2.9 kB  00:00:00     
rc-sclo-rh                                                                                                                                                                                                             | 2.9 kB  00:00:00     
rc-tools                                                                                                                                                                                                               | 2.9 kB  00:00:00     
rc-updates                                     

Status Legend:
(OK):download completed.
(7/11): rc-elrepo-kernel/primary_db                                                                                                                                                                                    |    0 B  00:00:00     
(8/11): rc-sclo-rh/primary_db                                                                                                                                                                                          |    0 B  00:00:00     
(9/11): rc-sclo/primary_db                                                                                                                                                                                             |    0 B  00:00:00     
(10/11): rc-tools/primary_db                                                                                                                                                                                           |    0 B  00:00:00     
(11/11): rc-updates/primary_db                                                                                                                                                                                         |    0 B  00:00:00     
Determining fastest mirrors
Reading version lock configuration
pkgsack time: 12.499
Building updates object
up:Obs Init time: 0.253
up:simple updates time: 0.104
up:obs time: 0.005
up:condense time: 0.000
updates time: 7.485
Not Updating Package that is already updated: nodejs.x86_64 1:6.10.1-2.el7
Resolving Dependencies
--> Running transaction check
---> Package nodejs.x86_64 1:6.10.1-2.el7 will be updated
Checking deps for nodejs.x86_64 1:6.10.1-2.el7 - ud
1:npm-3.10.10-1.6.10.1.2.el7.x86_64 requires: nodejs = 1:6.10.1-2.el7
--> Processing Dependency: nodejs = 1:6.10.1-2.el7 for package: 1:npm-3.10.10-1.6.10.1.2.el7.x86_64
Potential Provider: nodejs.x86_64 1:6.10.1-2.el7
Mode is ud for provider of nodejs = 1:6.10.1-2.el7: nodejs.x86_64 1:6.10.1-2.el7
Mode for pkg providing nodejs = 1:6.10.1-2.el7: ud
Trying to update 1:npm-3.10.10-1.6.10.1.2.el7.x86_64 to resolve dep
---> Package nodejs.x86_64 1:6.10.3-1.el7 will be an update
Checking deps for nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('npm', 'EQ', ('1', '3.10.10', '1.6.10.3.1.el7')) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libuv', 'GE', ('1', '1.9.1', None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('rtld(GNU_HASH)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libstdc++.so.6(GLIBCXX_3.4.9)(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libstdc++.so.6(GLIBCXX_3.4.18)(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libstdc++.so.6(GLIBCXX_3.4.15)(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libstdc++.so.6(GLIBCXX_3.4.11)(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libstdc++.so.6(GLIBCXX_3.4)(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libstdc++.so.6(CXXABI_1.3)(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libssl.so.10(libssl.so.10)(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('librt.so.1(GLIBC_2.2.5)(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libpthread.so.0(GLIBC_2.3.3)(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libpthread.so.0(GLIBC_2.3.2)(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libpthread.so.0(GLIBC_2.2.5)(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libm.so.6(GLIBC_2.2.5)(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libgcc_s.so.1(GCC_3.4)(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libgcc_s.so.1(GCC_3.0)(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libdl.so.2(GLIBC_2.2.5)(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libcrypto.so.10(libcrypto.so.10)(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libcrypto.so.10(OPENSSL_1.0.1_EC)(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libc.so.6(GLIBC_2.15)(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('ca-certificates', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('/bin/sh', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libz.so.1()(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libuv.so.1()(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libstdc++.so.6()(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libssl.so.10()(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('librt.so.1()(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libpthread.so.0()(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libm.so.6()(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libicuuc.so.50()(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libicui18n.so.50()(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libicudata.so.50()(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libhttp_parser.so.2()(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libgcc_s.so.1()(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libdl.so.2()(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
looking for ('libcrypto.so.10()(64bit)', None, (None, None, None)) as a requirement of nodejs.x86_64 1:6.10.3-1.el7 - u
1:nodejs-6.10.3-1.el7.x86_64 requires: libhttp_parser.so.2()(64bit)
--> Processing Dependency: libhttp_parser.so.2()(64bit) for package: 1:nodejs-6.10.3-1.el7.x86_64
Searching pkgSack for dep: libhttp_parser.so.2()(64bit)
TSINFO: Marking nodejs010-http-parser-2.0-6.20121128gitcd01361.el7.x86_64 as install for 1:nodejs-6.10.3-1.el7.x86_64
--> Running transaction check
---> Package nodejs010-http-parser.x86_64 0:2.0-6.20121128gitcd01361.el7 will be installed
Checking deps for nodejs010-http-parser.x86_64 0:2.0-6.20121128gitcd01361.el7 - u
looking for ('rtld(GNU_HASH)', None, (None, None, None)) as a requirement of nodejs010-http-parser.x86_64 0:2.0-6.20121128gitcd01361.el7 - u
looking for ('nodejs010-runtime', None, (None, None, None)) as a requirement of nodejs010-http-parser.x86_64 0:2.0-6.20121128gitcd01361.el7 - u
looking for ('libc.so.6(GLIBC_2.2.5)(64bit)', None, (None, None, None)) as a requirement of nodejs010-http-parser.x86_64 0:2.0-6.20121128gitcd01361.el7 - u
looking for ('/sbin/ldconfig', None, (None, None, None)) as a requirement of nodejs010-http-parser.x86_64 0:2.0-6.20121128gitcd01361.el7 - u
looking for ('/sbin/ldconfig', None, (None, None, None)) as a requirement of nodejs010-http-parser.x86_64 0:2.0-6.20121128gitcd01361.el7 - u
looking for ('libstdc++.so.6()(64bit)', None, (None, None, None)) as a requirement of nodejs010-http-parser.x86_64 0:2.0-6.20121128gitcd01361.el7 - u
looking for ('libm.so.6()(64bit)', None, (None, None, None)) as a requirement of nodejs010-http-parser.x86_64 0:2.0-6.20121128gitcd01361.el7 - u
looking for ('libgcc_s.so.1()(64bit)', None, (None, None, None)) as a requirement of nodejs010-http-parser.x86_64 0:2.0-6.20121128gitcd01361.el7 - u
nodejs010-http-parser-2.0-6.20121128gitcd01361.el7.x86_64 requires: nodejs010-runtime
--> Processing Dependency: nodejs010-runtime for package: nodejs010-http-parser-2.0-6.20121128gitcd01361.el7.x86_64
Searching pkgSack for dep: nodejs010-runtime
TSINFO: Marking nodejs010-runtime-2.1-5.el7.x86_64 as install for nodejs010-http-parser-2.0-6.20121128gitcd01361.el7.x86_64
---> Package npm.x86_64 1:3.10.10-1.6.10.1.2.el7 will be updated
Checking deps for npm.x86_64 1:3.10.10-1.6.10.1.2.el7 - ud
---> Package npm.x86_64 1:3.10.10-1.6.10.3.1.el7 will be an update
Checking deps for npm.x86_64 1:3.10.10-1.6.10.3.1.el7 - u
looking for ('nodejs', 'EQ', ('1', '6.10.3', '1.el7')) as a requirement of npm.x86_64 1:3.10.10-1.6.10.3.1.el7 - u
--> Running transaction check
---> Package nodejs010-runtime.x86_64 0:2.1-5.el7 will be installed
Checking deps for nodejs010-runtime.x86_64 0:2.1-5.el7 - u
looking for ('/usr/bin/scl_source', None, (None, None, None)) as a requirement of nodejs010-runtime.x86_64 0:2.1-5.el7 - u
nodejs010-runtime-2.1-5.el7.x86_64 requires: /usr/bin/scl_source
--> Processing Dependency: /usr/bin/scl_source for package: nodejs010-runtime-2.1-5.el7.x86_64
Searching pkgSack for dep: /usr/bin/scl_source
TSINFO: Marking scl-utils-20130529-17.el7_1.x86_64 as install for nodejs010-runtime-2.1-5.el7.x86_64
--> Running transaction check
---> Package scl-utils.x86_64 0:20130529-17.el7_1 will be installed
Checking deps for scl-utils.x86_64 0:20130529-17.el7_1 - u
looking for ('rtld(GNU_HASH)', None, (None, None, None)) as a requirement of scl-utils.x86_64 0:20130529-17.el7_1 - u
looking for ('libc.so.6(GLIBC_2.14)(64bit)', None, (None, None, None)) as a requirement of scl-utils.x86_64 0:20130529-17.el7_1 - u
looking for ('/bin/sh', None, (None, None, None)) as a requirement of scl-utils.x86_64 0:20130529-17.el7_1 - u
looking for ('/bin/bash', None, (None, None, None)) as a requirement of scl-utils.x86_64 0:20130529-17.el7_1 - u
--> Finished Dependency Resolution
Dependency Process ending
Depsolve time: 1.395

Dependencies Resolved

==============================================================================================================================================================================================================================================
 Package                                                        Arch                                            Version                                                                Repository                                        Size
==============================================================================================================================================================================================================================================
Updating:
 nodejs                                                         x86_64                                          1:6.10.3-1.el7                                                         rc-epel                                          4.6 M
Installing for dependencies:
 nodejs010-http-parser                                          x86_64                                          2.0-6.20121128gitcd01361.el7                                           rc-sclo                                           23 k
 nodejs010-runtime                                              x86_64                                          2.1-5.el7                                                              rc-sclo                                          1.1 M
 scl-utils                                                      x86_64                                          20130529-17.el7_1                                                      rc-os                                             24 k
Updating for dependencies:
 npm                                                            x86_64                                          1:3.10.10-1.6.10.3.1.el7                                               rc-epel                                          2.5 M

Transaction Summary
==============================================================================================================================================================================================================================================
Install             ( 3 Dependent packages)
Upgrade  1 Package  (+1 Dependent package)

Total download size: 8.3 M
Is this ok [y/d/N]: y
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.

Status Legend:
(OK):download completed.
(1/5): nodejs010-http-parser-2.0-6.20121128gitcd01361.el7.x86_64.rpm                                                                                                                                                   |    0 B  00:00:00     
(2/5): nodejs010-runtime-2.1-5.el7.x86_64.rpm                                                                                                                                                                          |    0 B  00:00:00     
(3/5): nodejs-6.10.3-1.el7.x86_64.rpm                                                                                                                                                                                  |    0 B  00:00:00     
(4/5): scl-utils-20130529-17.el7_1.x86_64.rpm                                                                                                                                                                          |    0 B  00:00:00     
(5/5): npm-3.10.10-1.6.10.3.1.el7.x86_64.rpm                                                                                                                                                                           |    0 B  00:00:00     
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                                                          22 MB/s | 8.3 MB  00:00:00     
Member: npm.x86_64 1:3.10.10-1.6.10.3.1.el7 - u
Adding Package 1:npm-3.10.10-1.6.10.3.1.el7.x86_64 in mode u
Member: npm.x86_64 1:3.10.10-1.6.10.1.2.el7 - ud
Member: nodejs010-http-parser.x86_64 0:2.0-6.20121128gitcd01361.el7 - u
Adding Package nodejs010-http-parser-2.0-6.20121128gitcd01361.el7.x86_64 in mode u
Member: nodejs010-runtime.x86_64 0:2.1-5.el7 - u
Adding Package nodejs010-runtime-2.1-5.el7.x86_64 in mode u
Member: nodejs.x86_64 1:6.10.1-2.el7 - ud
Member: nodejs.x86_64 1:6.10.3-1.el7 - u
Adding Package 1:nodejs-6.10.3-1.el7.x86_64 in mode u
Member: scl-utils.x86_64 0:20130529-17.el7_1 - u
Adding Package scl-utils-20130529-17.el7_1.x86_64 in mode u
Running transaction check
Transaction check time: 0.082
Running transaction test
Transaction test succeeded
Transaction test time: 0.392
Running transaction
  Installing : scl-utils-20130529-17.el7_1.x86_64                                                                                                                                                                                         1/7 
  Installing : nodejs010-runtime-2.1-5.el7.x86_64                                                                                                                                                                                         2/7 
  Installing : nodejs010-http-parser-2.0-6.20121128gitcd01361.el7.x86_64                                                                                                                                                                  3/7 
  Updating   : 1:nodejs-6.10.3-1.el7.x86_64                                                                                                                                                                                               4/7 
  Updating   : 1:npm-3.10.10-1.6.10.3.1.el7.x86_64                                                                                                                                                                                        5/7 
  Cleanup    : 1:nodejs-6.10.1-2.el7.x86_64                                                                                                                                                                                               6/7 
  Cleanup    : 1:npm-3.10.10-1.6.10.1.2.el7.x86_64                                                                                                                                                                                        7/7 
  Verifying  : 1:npm-3.10.10-1.6.10.3.1.el7.x86_64                                                                                                                                                                                        1/7 
  Verifying  : nodejs010-http-parser-2.0-6.20121128gitcd01361.el7.x86_64                                                                                                                                                                  2/7 
  Verifying  : nodejs010-runtime-2.1-5.el7.x86_64                                                                                                                                                                                         3/7 
  Verifying  : 1:nodejs-6.10.3-1.el7.x86_64                                                                                                                                                                                               4/7 
  Verifying  : scl-utils-20130529-17.el7_1.x86_64                                                                                                                                                                                         5/7 
  Verifying  : 1:npm-3.10.10-1.6.10.1.2.el7.x86_64                                                                                                                                                                                        6/7 
  Verifying  : 1:nodejs-6.10.1-2.el7.x86_64                                                                                                                                                                                               7/7 
VerifyTransaction time: 0.171
Transaction time: 4.728

Dependency Installed:
  nodejs010-http-parser.x86_64 0:2.0-6.20121128gitcd01361.el7                                   nodejs010-runtime.x86_64 0:2.1-5.el7                                   scl-utils.x86_64 0:20130529-17.el7_1                                  

Updated:
  nodejs.x86_64 1:6.10.3-1.el7                                                                                                                                                                                                                

Dependency Updated:
  npm.x86_64 1:3.10.10-1.6.10.3.1.el7                                                                                                                                                                                                         

Complete!

# node -h
node: error while loading shared libraries: libhttp_parser.so.2: cannot open shared object file: No such file or directory

# ldd /usr/bin/node
	linux-vdso.so.1 =>  (0x00007ffd3efe6000)
	libz.so.1 => /lib64/libz.so.1 (0x00002b1dd943c000)
	libhttp_parser.so.2 => not found
	libuv.so.1 => /lib64/libuv.so.1 (0x00002b1dd9652000)
	libcrypto.so.10 => /lib64/libcrypto.so.10 (0x00002b1dd9879000)
	libssl.so.10 => /lib64/libssl.so.10 (0x00002b1dd9c63000)
	libicui18n.so.50 => /lib64/libicui18n.so.50 (0x00002b1dd9ed1000)
	libicuuc.so.50 => /lib64/libicuuc.so.50 (0x00002b1dda2d0000)
	libicudata.so.50 => /lib64/libicudata.so.50 (0x00002b1dda649000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00002b1ddbc1d000)
	librt.so.1 => /lib64/librt.so.1 (0x00002b1ddbe21000)
	libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00002b1ddc029000)
	libm.so.6 => /lib64/libm.so.6 (0x00002b1ddc332000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002b1ddc634000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00002b1ddc84a000)
	libc.so.6 => /lib64/libc.so.6 (0x00002b1ddca66000)
	libnsl.so.1 => /lib64/libnsl.so.1 (0x00002b1ddce27000)
	libgssapi_krb5.so.2 => /lib64/libgssapi_krb5.so.2 (0x00002b1ddd040000)
	libkrb5.so.3 => /lib64/libkrb5.so.3 (0x00002b1ddd28e000)
	libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00002b1ddd575000)
	libk5crypto.so.3 => /lib64/libk5crypto.so.3 (0x00002b1ddd779000)
	/lib64/ld-linux-x86-64.so.2 (0x00002b1dd921a000)
	libkrb5support.so.0 => /lib64/libkrb5support.so.0 (0x00002b1ddd9ab000)
	libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00002b1dddbba000)
	libresolv.so.2 => /lib64/libresolv.so.2 (0x00002b1ddddbe000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x00002b1dddfd8000)
	libpcre.so.1 => /lib64/libpcre.so.1 (0x00002b1dde1ff000)

# rpm -q nodejs --requires 
/bin/sh
ca-certificates
libc.so.6()(64bit)
libc.so.6(GLIBC_2.14)(64bit)
libc.so.6(GLIBC_2.15)(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libcrypto.so.10()(64bit)
libcrypto.so.10(OPENSSL_1.0.1_EC)(64bit)
libcrypto.so.10(libcrypto.so.10)(64bit)
libdl.so.2()(64bit)
libdl.so.2(GLIBC_2.2.5)(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libgcc_s.so.1(GCC_3.4)(64bit)
libhttp_parser.so.2()(64bit)
libicudata.so.50()(64bit)
libicui18n.so.50()(64bit)
libicuuc.so.50()(64bit)
libm.so.6()(64bit)
libm.so.6(GLIBC_2.2.5)(64bit)
libpthread.so.0()(64bit)
libpthread.so.0(GLIBC_2.2.5)(64bit)
libpthread.so.0(GLIBC_2.3.2)(64bit)
libpthread.so.0(GLIBC_2.3.3)(64bit)
librt.so.1()(64bit)
librt.so.1(GLIBC_2.2.5)(64bit)
libssl.so.10()(64bit)
libssl.so.10(libssl.so.10)(64bit)
libstdc++.so.6()(64bit)
libstdc++.so.6(CXXABI_1.3)(64bit)
libstdc++.so.6(GLIBCXX_3.4)(64bit)
libstdc++.so.6(GLIBCXX_3.4.11)(64bit)
libstdc++.so.6(GLIBCXX_3.4.15)(64bit)
libstdc++.so.6(GLIBCXX_3.4.18)(64bit)
libstdc++.so.6(GLIBCXX_3.4.9)(64bit)
libuv >= 1:1.9.1
libuv.so.1()(64bit)
libz.so.1()(64bit)
npm = 1:3.10.10-1.6.10.3.1.el7
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
rpmlib(PayloadIsXz) <= 5.2-1


It seems nodejs010-http-parser installing from RH SCLO repo instead of http-parser package

# rpm -ql nodejs010-http-parser
/opt/rh/nodejs010/root/usr/lib64/libhttp_parser.so.2
/opt/rh/nodejs010/root/usr/lib64/libhttp_parser.so.2.0
/opt/rh/nodejs010/root/usr/lib64/libhttp_parser_strict.so.2
/opt/rh/nodejs010/root/usr/lib64/libhttp_parser_strict.so.2.0
/opt/rh/nodejs010/root/usr/share/doc/nodejs010-http-parser-2.0
/opt/rh/nodejs010/root/usr/share/doc/nodejs010-http-parser-2.0/AUTHORS
/opt/rh/nodejs010/root/usr/share/doc/nodejs010-http-parser-2.0/CONTRIBUTIONS
/opt/rh/nodejs010/root/usr/share/doc/nodejs010-http-parser-2.0/LICENSE-MIT
/opt/rh/nodejs010/root/usr/share/doc/nodejs010-http-parser-2.0/README.md

Comment 5 Zuzana Svetlikova 2017-07-24 10:22:33 UTC
*** Bug 1473088 has been marked as a duplicate of this bug. ***

Comment 6 Fedora Update System 2017-07-31 08:43:38 UTC
nodejs-6.11.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-93f422baa0

Comment 7 Fedora Update System 2017-07-31 16:20:27 UTC
nodejs-6.11.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Margo Kosicki 2017-08-14 17:21:40 UTC
I seem to still be having trouble with this. I'm inside the centos7.3.1611 docker container, and I run the following, when I try and install nodejs, nothing satisfies the parser dependency.  I think http-parser used to be part of the epel repository, but doesn't seem to be available anymore.  Let me know if there's any other info needed.

yum update
yum install epel-release
yum install nodejs
Loaded plugins: fastestmirror, ovl
epel/x86_64/metalink                                                                                                                     |  13 kB  00:00:00     
epel                                                                                                                                     | 4.3 kB  00:00:00     
(1/3): epel/x86_64/group_gz                                                                                                              | 170 kB  00:00:00     
(2/3): epel/x86_64/updateinfo                                                                                                            | 808 kB  00:00:00     
(3/3): epel/x86_64/primary_db                                                                                                            | 4.7 MB  00:00:00     
Loading mirror speeds from cached hostfile
 * base: repos.forethought.net
 * epel: mirror.chpc.utah.edu
 * extras: centos.sonn.com
 * updates: mirror.chpc.utah.edu
Resolving Dependencies
--> Running transaction check
---> Package nodejs.x86_64 1:6.11.1-1.el7 will be installed
--> Processing Dependency: npm = 1:3.10.10-1.6.11.1.1.el7 for package: 1:nodejs-6.11.1-1.el7.x86_64
--> Processing Dependency: libuv >= 1:1.9.1 for package: 1:nodejs-6.11.1-1.el7.x86_64
--> Processing Dependency: http-parser >= 2.7.0 for package: 1:nodejs-6.11.1-1.el7.x86_64
--> Processing Dependency: libuv.so.1()(64bit) for package: 1:nodejs-6.11.1-1.el7.x86_64
--> Processing Dependency: libicuuc.so.50()(64bit) for package: 1:nodejs-6.11.1-1.el7.x86_64
--> Processing Dependency: libicui18n.so.50()(64bit) for package: 1:nodejs-6.11.1-1.el7.x86_64
--> Processing Dependency: libicudata.so.50()(64bit) for package: 1:nodejs-6.11.1-1.el7.x86_64
--> Processing Dependency: libhttp_parser.so.2()(64bit) for package: 1:nodejs-6.11.1-1.el7.x86_64
--> Running transaction check
---> Package libicu.x86_64 0:50.1.2-15.el7 will be installed
---> Package libuv.x86_64 1:1.10.2-1.el7 will be installed
---> Package nodejs.x86_64 1:6.11.1-1.el7 will be installed
--> Processing Dependency: http-parser >= 2.7.0 for package: 1:nodejs-6.11.1-1.el7.x86_64
--> Processing Dependency: libhttp_parser.so.2()(64bit) for package: 1:nodejs-6.11.1-1.el7.x86_64
---> Package npm.x86_64 1:3.10.10-1.6.11.1.1.el7 will be installed
--> Finished Dependency Resolution
Error: Package: 1:nodejs-6.11.1-1.el7.x86_64 (epel)
           Requires: libhttp_parser.so.2()(64bit)
Error: Package: 1:nodejs-6.11.1-1.el7.x86_64 (epel)
           Requires: http-parser >= 2.7.0
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 9 Margo Kosicki 2017-08-14 17:49:46 UTC
Sorry, just found the info that http-parser is now in 7.4 (which isn't released yet for CentOS) so we have a gap.

Comment 10 Michael Epley 2018-02-16 05:14:44 UTC
Reproducible for me in OCP 3.6 using latest nodejs-6-rhel7 image:

oc new-build --name=patternfly --strategy=docker --dockerfile=$'FROM rregistry.access.redhat.com/rhscl/nodejs-6-rhel7@sha256:a9b89bb53fef405ea73f3eaff2dafa0c37c2cc988586b1a8a0e3bc19de07d4b8\nENV PATH=/opt/rh/rh-nodejs6/root/usr/bin/:${PATH}\nRUN /opt/rh/rh-nodejs6/root/usr/bin/npm init --force --yes && /opt/rh/rh-nodejs6/root/usr/bin/npm install patternfly --save' --image-stream=nodejs

Output:

Step 1 : FROM registry.access.redhat.com/rhscl/nodejs-6-rhel7@sha256:a9b89bb53fef405ea73f3eaff2dafa0c37c2cc988586b1a8a0e3bc19de07d4b8
 ---> ae9be2ffb565
Step 2 : ENV PATH /opt/rh/rh-nodejs6/root/usr/bin/:${PATH}
 ---> Using cache
 ---> 817a3993c04e
Step 3 : RUN /opt/rh/rh-nodejs6/root/usr/bin/npm init --force --yes && /opt/rh/rh-nodejs6/root/usr/bin/npm install patternfly --save
 ---> Running in 8429e85540d1
node: error while loading shared libraries: libhttp_parser.so.rh-nodejs6-2.7.0: cannot open shared object file: No such file or directory
error: build error: The command '/bin/sh -c /opt/rh/rh-nodejs6/root/usr/bin/npm init --force --yes && /opt/rh/rh-nodejs6/root/usr/bin/npm install patternfly --save' returned a non-zero code: 127


Note You need to log in before you can comment on or make changes to this bug.